##### 7.7.7.0. ivOrdMisLex

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  ivOrdMisLex(M); M a list of intvecs

Return:
  list, containing the ordered intvecs of M

Purpose:
  Orders a given set of mistletoes lexicographically

Assume:
  - basering is a Letterplace ring.
  - intvecs correspond to monomials, as explained in the overview

Note:
  - This is preprocessing, it's not needed if the mistletoes are returned
  from the sickle algorithm.
  - Each entry of the list returned is an intvec.

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    intvec i1 = 1,2,1; intvec i2 = 2,2,1; intvec i3 = 1,1; intvec i4 = 2,1,1,1;
    // the corresponding monomials are xyx,y^2x,x^2,yx^3
    list M = i1,i2,i3,i4;
    M;
    ==> [1]:
    ==>    1,2,1
    ==> [2]:
    ==>    2,2,1
    ==> [3]:
    ==>    1,1
    ==> [4]:
    ==>    2,1,1,1
    ivOrdMisLex(M);// orders the list of monomials
    ==> [1]:
    ==>    1,1
    ==> [2]:
    ==>    1,2,1
    ==> [3]:
    ==>    2,1,1,1
    ==> [4]:
    ==>    2,2,1

User manual for Singular version 4-0-3, 2016, generated by texi2html.